> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns users leaderboard (at the top of the board are users, that have generated the most fees)



## OpenAPI

````yaml /dln-details/swagger/monitoring.json post /api/Users/usersLeaderboard
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/Users/usersLeaderboard:
    post:
      tags:
        - Users
      summary: >-
        Returns users leaderboard (at the top of the board are users, that have
        generated the most fees)
      operationId: Users_GetUserLeaderBoard
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/UserLeaderboardRequestDTO'
          application/json:
            schema:
              $ref: '#/components/schemas/UserLeaderboardRequestDTO'
          text/json:
            schema:
              $ref: '#/components/schemas/UserLeaderboardRequestDTO'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UserLeaderboardRequestDTO'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/UserLeaderboardResponseDTO'
            application/json:
              schema:
                $ref: '#/components/schemas/UserLeaderboardResponseDTO'
            text/json:
              schema:
                $ref: '#/components/schemas/UserLeaderboardResponseDTO'
components:
  schemas:
    UserLeaderboardRequestDTO:
      required:
        - skip
        - take
      type: object
      properties:
        walletAddress:
          type: string
          description: Address of a wallet to search for [hex of base58, optional]
          nullable: true
        skip:
          type: integer
          description: items to skip (pagination)
          format: int32
        take:
          type: integer
          description: Number of items to return (pagination) max page size is 100
          format: int32
      additionalProperties: false
    UserLeaderboardResponseDTO:
      type: object
      properties:
        users:
          type: array
          items:
            $ref: '#/components/schemas/UserLeaderboardItemDTO'
          description: Leaderboard items from requested page
          nullable: true
        totalCount:
          type: integer
          description: Total number of leaderboard items
          format: int32
        searchResult:
          $ref: '#/components/schemas/UserLeaderboardItemDTO'
      additionalProperties: false
      description: Users leaderboard page info
    UserLeaderboardItemDTO:
      type: object
      properties:
        walletAddress:
          $ref: '#/components/schemas/AddressPropertyDTO'
        userRank:
          type: integer
          description: "Rank of the user in the leaderboard\r\nUsers are ranked by TotalFeesGeneratedUsd descending"
          format: int32
        totalVolumeUSD:
          type: number
          description: >-
            Total give amount's USD equivalent of all user's orders that used
            the referral code
          format: double
        totalFeesUSD:
          type: number
          description: >-
            Total fees' USD equivalent of all user's orders that used the
            referral code
          format: double
        totalExecutedOrders:
          type: integer
          description: Total number of user's orders that used the referral code
          format: int32
      additionalProperties: false
    AddressPropertyDTO:
      type: object
      properties:
        Base64Value:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false

````